## linkedin2username 0.29

=== requirements.txt ===
requests
selenium

=== debian/changelog ===
linkedin2username (0.29-0kali2) kali-dev; urgency=medium

  * Fix gitlab links

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 03 Dec 2024 09:19:13 +0100

linkedin2username (0.29-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 23 Oct 2024 11:01:42 +0200

=== debian/control ===
Source: linkedin2username
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-requests,
 python3-selenium,
Standards-Version: 4.7.0
Homepage: https://github.com/initstring/linkedin2username
Vcs-Browser: https://gitlab.com/kalilinux/packages/linkedin2username
Vcs-Git: https://gitlab.com/kalilinux/packages/linkedin2username.git

Package: linkedin2username
Architecture: all
Depends:
 chromium-driver,
 python3-requests,
 python3-selenium,
 ${misc:Depends},
 ${python3:Depends},
Description: Generate username lists for companies on LinkedIn
 OSINT Tool: Generate username lists from companies on LinkedIn.
 .
 This is a pure web-scraper, no API key required. You use your valid LinkedIn
 username and password to login, it will create several lists of possible
 username formats for all employees of a company you point it at.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = linkedin2username

%:
	dh $@ --with python3 --with python3

override_dh_auto_install:
	dh_installdirs
	install linkedin2username.py $(CURDIR)/debian/linkedin2username/usr/bin/linkedin2username

=== debian/tests/control ===
Test-Command: linkedin2username --help
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%chisel-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/initstring/linkedin2username/tags .*/v?(\d\S*)\.tar\.gz debian
